package com.ruoyi.shipping.mapper;

import java.util.List;
import com.ruoyi.shipping.domain.TCtnprice;

/**
 * 海运运价Mapper接口
 * 
 * @author ruoyi
 * @date 2021-04-06
 */
public interface TCtnpriceMapper 
{
    /**
     * 查询海运运价
     * 
     * @param fId 海运运价ID
     * @return 海运运价
     */
    public TCtnprice selectTCtnpriceById(Long fId);

    /**
     * 查询海运运价列表
     * 
     * @param tCtnprice 海运运价
     * @return 海运运价集合
     */
    public List<TCtnprice> selectTCtnpriceList(TCtnprice tCtnprice);

    /**
     * 新增海运运价
     * 
     * @param tCtnprice 海运运价
     * @return 结果
     */
    public int insertTCtnprice(TCtnprice tCtnprice);

    /**
     * 修改海运运价
     * 
     * @param tCtnprice 海运运价
     * @return 结果
     */
    public int updateTCtnprice(TCtnprice tCtnprice);

    /**
     * 删除海运运价
     * 
     * @param fId 海运运价ID
     * @return 结果
     */
    public int deleteTCtnpriceById(Long fId);

    /**
     * 批量删除海运运价
     * 
     * @param fIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteTCtnpriceByIds(Long[] fIds);
    /**
     * 查询海运运价表是否存在有效期重复的运价信息
     *
     * @param tCtnprice 海运运价
     * @return 海运运价集合
     */
    public List<TCtnprice> selectMessage(TCtnprice tCtnprice);
}
